Transition a pending payment
POST
/api/payments/{id}/transition
const url = 'https://api.getvespy.com/api/payments/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/transition';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"status":"received"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.getvespy.com/api/payments/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/transition \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "status": "received" }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string format: uuid
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
status
required
string
Responses
Section titled “Responses”Default Response
Media typeapplication/json
object
payment
required
object
allocations
required
Array<object>
object
amountCents
required
integer
charge
required
object
amountCents
required
integer
balanceCents
required
integer
chargeType
required
string
dueDate
required
string format: date
id
required
string format: uuid
name
required
string
status
required
string
chargeId
required
string format: uuid
id
required
string format: uuid
paymentId
required
string format: uuid
paymentReceivedAt
required
string format: date-time
amountCents
required
integer
checkNumber
required
string
createdAt
required
string format: date-time
id
required
string format: uuid
idempotencyKey
required
string
lease
required
object
endDate
required
string format: date
id
required
string format: uuid
startDate
required
string format: date
status
required
string
leaseId
required
string format: uuid
organizationId
required
string format: uuid
paymentMethod
required
string
property
required
object
city
required
string
id
required
string format: uuid
name
required
string
state
required
string
receivedAt
required
string format: date-time
status
required
string
tenant
required
object
fullName
required
string
id
required
string format: uuid
tenantId
required
string format: uuid
unallocatedCents
required
integer
unit
required
object
id
required
string format: uuid
unitNumber
required
string
Example
{ "payment": { "allocations": [ { "charge": { "chargeType": "rent", "status": "pending" } } ], "lease": { "status": "draft" }, "paymentMethod": "ach", "status": "received" }}Default Response
Media typeapplication/json
object
code
string
errors
Array<object>
object
code
required
string
message
required
string
path
required
string
message
required
string
Examplegenerated
{ "code": "example", "errors": [ { "code": "example", "message": "example", "path": "example" } ], "message": "example"}Default Response
Media typeapplication/json
object
code
string
errors
Array<object>
object
code
required
string
message
required
string
path
required
string
message
required
string
Examplegenerated
{ "code": "example", "errors": [ { "code": "example", "message": "example", "path": "example" } ], "message": "example"}Default Response
Media typeapplication/json
object
code
string
errors
Array<object>
object
code
required
string
message
required
string
path
required
string
message
required
string
Examplegenerated
{ "code": "example", "errors": [ { "code": "example", "message": "example", "path": "example" } ], "message": "example"}Default Response
Media typeapplication/json
object
code
string
errors
Array<object>
object
code
required
string
message
required
string
path
required
string
message
required
string
Examplegenerated
{ "code": "example", "errors": [ { "code": "example", "message": "example", "path": "example" } ], "message": "example"}Default Response
Media typeapplication/json
object
code
string
errors
Array<object>
object
code
required
string
message
required
string
path
required
string
message
required
string
Examplegenerated
{ "code": "example", "errors": [ { "code": "example", "message": "example", "path": "example" } ], "message": "example"}